Subject: [IPP] RFC: Remove Section 11 of NODRIVER

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 4 Jun 2020 10:44:19 -0400

All,

For several months I have had an action item to review section 11 (Relationship of Impressions, Pages, and Sheets) of NODRIVER to determine what changes, if any, need to be made to be consistent with STD 92 (RFC 8010/8011).

The background of this is that when I originally wrote what became PWG 5100.13: IPP Job and Printer Extensions - Set 3 (JPS3), the then-current RFC 2910/2911 did not define the terms Impression, Input Page, or Media Sheet, and the definitions of the various job-xxx-completed/processed attributes were similarly vague leading to some inconsistent implementations, particularly with job-impressions and job-media-sheets.  In order to address this issue, we decided to add section 11, complete with examples covering the various edge cases.

Later when we updated RFC 2910 and 2911, I added the missing terminology and clarified the attribute definitions.  Similarly, the other specifications that have caused issues in the past have been updated (PWG 5100.5, PWG 5100.7), are being updated (PWG 5100.3), or have been obsoleted (RFC 3381) so that we now have a consistent definition of terms and semantics across the board.

So after reviewing the section 11 content, I believe it is no longer necessary and might even be confusing to someone reading the current specifications since section 11 starts by saying that the various IPP specifications have slightly different definitions...

My recommendation is to remove section 11 in its entirety from NODRIVER.

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 18 Jun 2020 10:03:09 -0400

Following up on my own post...  Per the IPP workgroup meeting on June 4, 2020, the WG consensus is to remove section 11 from NODRIVER and add it as a future errata to IIG 2.0 with reference to the original 5100.13 for the figures/text.

TL;DR: We are moving section 11 to a future Implementor's Guide update.

> On Jun 4, 2020, at 10:44 AM, Michael Sweet via ipp <[email-masked]> wrote:
> 
> All,
> 

________________________
Michael Sweet

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 18 Jun 2020 14:10:57 +0000

Hi Mike,

I have removed section 11 "Relationship of Impressions, Pages, and Sheets" from my master copy of NODRIVER. I hope to publish a new revision tomorrow or early next week.

Smith

/**
    Smith Kennedy
    HP Inc.
*/

From: ipp <[email-masked]> On Behalf Of Michael Sweet via ipp
Sent: Thursday, June 18, 2020 8:03 AM
To: Michael Sweet <[email-masked]>
Cc: PWG IPP Workgroup <[email-masked]>
Subject: Re: [IPP] RFC: Remove Section 11 of NODRIVER

> On Jun 4, 2020, at 10:44 AM, Michael Sweet via ipp <[email-masked]<mailto:[email-masked]>> wrote:
>
> All,
>
> [email-masked]<mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp<https://www.pwg.org/mailman/listinfo/ipp>
>

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp<https://www.pwg.org/mailman/listinfo/ipp>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp